$(function () {
    tinymce.PluginManager.add("photoset", function (t, e) {
        t.addCommand("InsertPhotoset", function () {

            t.windowManager.open({
                title: ls.lang.get('panel_photoset'),
                body: [
                    {type: "textbox", name: "from", label: ls.lang.get("panel_photoset_from"), value: '1'},
                    {type: "textbox", name: "to", label: ls.lang.get("panel_photoset_to"), value: 'last'},
                    {
                        type: 'listbox',
                        name: 'position',
                        label: ls.lang.get('panel_photoset_align'),
                        'values': [
                            {text: ls.lang.get('panel_photoset_align_both'), value: ''},
                            {text: ls.lang.get('panel_photoset_align_left'), value: 'left'},
                            {text: ls.lang.get('panel_photoset_align_right'), value: 'right'}
                        ]
                    },
                    {type: "textbox", name: "topic", label: ls.lang.get("panel_photoset_topic"), value: ''}
                ],
                onsubmit: function (e) {
                    var from = '';
                    if (e.data.from == 'last' || e.data.from == 'first' || (!isNaN(parseInt(e.data.from, 10)) && parseInt(e.data.from, 10) > 0)) {
                        from = e.data.from;
                    }
                    if (from != '') {
                        from = ' from="' + from + '" ';
                    }
                    var to = '';
                    if (e.data.to == 'last' || e.data.to == 'first' || (!isNaN(parseInt(e.data.to, 10)) && parseInt(e.data.to, 10) > 0)) {
                        to = e.data.to;
                    }
                    if (to != '') {
                        to = ' to="' + to + '" ';
                    }
                    var position = e.data.position ? ' position="' + e.data.position + '" ' : '';

                    var style = ' width: 99%; height: 60px; ';
                    if (e.data.position == 'left') {
                        style = ' width: 30%; height: 160px; float:left; ';
                    }
                    if (e.data.position == 'right') {
                        style = ' width: 30%; height: 160px; float:right;  ';
                    }

                    var topic = '';
                    if ((!isNaN(parseInt(e.data.topic, 10)) && parseInt(e.data.topic, 10) > 0)) {
                        topic =' topic="'+e.data.topic+'" ';
                    }

                    var content = '<alto:photoset from="1" to="10" style="' + style + 'border: 1px dotted #3A3A3A; background: #d5d5d5; display: block;" ' + from + to + position + topic +' />';
                    t.insertContent(content);

                }
            });

        });
        t.on('preInit', function () {


            // Converts iframe, video etc into placeholder images
            t.parser.addNodeFilter('alto:photoset', function (nodes, name) {
                var i = nodes.length;

                while (i--) {
                    node = nodes[i];
                    placeHolder = new tinymce.html.Node('img', 1);
                    placeHolder.shortEnded = true;
                    placeHolder.object_resizing = false;

                    var align = (node.attr('position') || "");
                    if ( align == 'left' ) {
                        style = node.attr('style') || ' float:left; width: 25%; height: 160px; border: 1px dotted #3A3A3A; background: #d5d5d5; display: block;';
                    } else if (align == 'right') {
                        style = node.attr('style') || ' float:right; width: 25%; height: 160px; border: 1px dotted #3A3A3A; background: #d5d5d5; display: block;';
                    } else {
                        style = node.attr('style') || ' width: 99%; height: 60px; border: 1px dotted #3A3A3A; background: #d5d5d5; display: block;';
                    }

                    placeHolder.attr({
                        "data-from": node.attr('from') || "",
                        "data-to": node.attr('to') || "",
                        "data-position": node.attr('position') || "",
                        "data-topic": node.attr('topic') || "",
                        style: style,
                        src: tinymce.Env.transparentSrc,
                        "data-mce-photoset": name,
                        "class": "mce-object mce-object-" + name
                    });

                    node.replace(placeHolder);
                }


                return true;
            });

            // Replaces placeholder images with real elements for video, object, iframe etc
            t.serializer.addAttributeFilter('data-mce-photoset', function (nodes, name) {
                var i = nodes.length;

                while (i--) {
                    node = nodes[i];

                    realElm = new tinymce.html.Node('alto:photoset', 1);

                    realElm.attr({
                        from: node.attr('data-from'),
                        to: node.attr('data-to'),
                        position: node.attr('data-position'),
                        topic: node.attr('data-topic')
                    });

                    node.replace(realElm);
                    t.isNotDirty = true;
                }

            });


        });


    });
})


